summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-10-08 20:00:04 +0000
committerMike Frysinger <vapier@gentoo.org>2006-10-08 20:00:04 +0000
commit440268527204f01121b66c7f4b58a7d34869d44c (patch)
tree8a9f9391deeaf5e7efea459636db5c64cfa7ee04 /eclass
parentVersion bump and cleanup (diff)
downloadgentoo-2-440268527204f01121b66c7f4b58a7d34869d44c.tar.gz
gentoo-2-440268527204f01121b66c7f4b58a7d34869d44c.tar.bz2
gentoo-2-440268527204f01121b66c7f4b58a7d34869d44c.zip
add initial support for headers_install with 2.6.18+
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kernel-2.eclass16
1 files changed, 14 insertions, 2 deletions
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 771686b1d7c9..581d5b20a2dd 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.192 2006/09/06 18:14:46 phreak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.193 2006/10/08 20:00:04 vapier Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -423,6 +423,10 @@ compile_headers() {
echo ">>> make oldconfig complete"
make dep ${xmakeopts}
elif kernel_is 2 6; then
+ # 2.6.18 introduces headers_install which means we dont need any
+ # of this crap anymore :D
+ kernel_is ge 2 6 18 && return 0
+
# autoconf.h isnt generated unless it already exists. plus, we have
# no guarantee that any headers are installed on the system...
[[ -f ${ROOT}/usr/include/linux/autoconf.h ]] \
@@ -479,6 +483,14 @@ install_universal() {
}
install_headers() {
+ # 2.6.18 introduces headers_install which means we dont need any
+ # of this crap anymore :D
+ if kernel_is ge 2 6 18 ; then
+ env_setup_xmakeopts
+ emake headers_install INSTALL_HDR_PATH="${D}"/usr ${xmakeopts} || die
+ return 0
+ fi
+
local ddir=$(kernel_header_destdir)
cd "${S}"
@@ -964,7 +976,7 @@ echo "#ifdef __arch64__
headers___fix() {
# Voodoo to partially fix broken upstream headers.
- # Issues with this function should go to plasmaroo.
+ # Issues with this function should go to toolchain.
sed -i \
-e '/^\#define.*_TYPES_H/{:loop n; bloop}' \
-e 's:\<\([us]\(8\|16\|32\|64\)\)\>:__\1:g' \